Bug 966416 - grub uses 100% cpu
grub uses 100% cpu
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-05-23 05:01 EDT by Jens Petersen
Modified: 2013-06-03 21:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-03 21:26:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-05-23 05:01:09 EDT
Description of problem:
Not sure what it is doing by grub seems to use a lot CPU
when it is running.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start grub and press e to edit menu
2. wait and watch CPU and temperature
3. press Ctrl-x

Actual results:
2. system uses 1 cpu and temperature rises
3. temperature fails again

Expected results:
grub should only need a little CPU.

Additional info:
This is an old bug it has been happening for quite a long time:
I think it often causes my old Thinkpad T500 to not reboot due to overheating.
Comment 1 Mads Kiilerich 2013-05-27 20:00:11 EDT
Grub might be a full OS and kernel but it is not yet as feature complete and sophisticated as linux. Is it reasonable to expect it to include power management?
Comment 2 Jens Petersen 2013-05-28 05:05:56 EDT
I see, so this is expected behavior?
Comment 3 Jens Petersen 2013-05-28 05:10:58 EDT
I could be wrong but I don't think grub1 used 100% cpu.
Comment 4 Chris Murphy 2013-06-01 22:19:16 EDT
On my systems, including VMs, grub legacy and grub2 both fully consume one CPU core. So while I don't like it, I don't see the difference in behavior between the two grubs.
Comment 5 Jens Petersen 2013-06-03 21:26:04 EDT
Okay fair enough - maybe it is something that could be or has been discussed upstream: probably this bug can be closed then. I will try to pass through
grub quickly on my laptop with poor/broken fan to avoid it overheating.

Note You need to log in before you can comment on or make changes to this bug.